@charset "utf-8";
/*==================================================
	【トップ】ページ固有のスタイル
==================================================*/
#page_title:has(#top_ttl) {
	margin-bottom: -7%;
	z-index: 1;
}
#top_ttl {
	background: url("../img/top/title.jpg") no-repeat center bottom / cover;
}
#top_ttl img {
	width: 100%;
}
/**/
.btn_link {
	width: 300px;
	height: 70px;
	padding: 0 22px;
	background: #fff url("../img/arow-off.png") no-repeat right 15px center;
	border: 2px solid #f7d2cd;
	border-radius: 10px;
	box-shadow: 5px 5px 10px rgba(0,0,0,0.07);
	color: var(--color-font);
	font-size: 110%;
	letter-spacing: 0.1em;
	/* 縦方向中央揃え */
	display: flex;
	align-items: center;
}
.btn_link:hover {
	background-color: #f7d2cd;
	background-image: url("../img/arow-on.png");
	box-shadow: none;
	color: #fff;
}
/* 挨拶 */
#top_msg {
	position: relative;
	z-index: 10;
}
#top_msg h3.sub {
	position: relative;
	font-size: 51px;
	text-align: left;
}
#top_msg h3.sub span {
	position: absolute;
	top: 0;
	left: 0;
	color: #f7d2cd;
	font-size: 119px;
	font-family: var(--font-en);
	transform: translate(-40%,-100%) rotate(-10deg);
	line-height: 1;
}
/* リンク */
#top_link li a img {
	margin-right: 10px;
	width: 26px;
}
/* コンテンツ */
#top_contents::before {
	top: auto;
	bottom: 0;
	height: 50%;
	background: #fdf6f5;
}
#top_contents::after {
	height: calc(50% + 1px);
	background: url("../img/top/bg.png") no-repeat center bottom / 100% auto;
}
#top_contents figure {
	position: relative;
	overflow: hidden;
	border-radius: 50px 20px 0 0;
}
#top_contents figcaption {
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	padding: 30px 15px 10px;
	background: linear-gradient(to bottom, transparent, #f7d2cd);
	color: #fff;
	font-size: 48px;
	font-family: var(--font-en);
	line-height: 1;
}
#top_contents h3.sub {
	margin-bottom: 30px;
	text-align: left;
	line-height: 1;
}
#top_contents .box {
	position: relative;
	background: #fff;
	border-radius: 50px 20px 50px 20px;
}
#top_contents .btn {
	position: absolute;
	left: 50%;
	bottom: 0;
	margin: 0;
	transform: translate(-50%, 50%);
}
/* カレンダー */
#top_calendar::before {
	background: url("../img/top/calendar-bg.jpg") no-repeat center center / cover;
}
#top_calendar .ttl h3.sub {
	text-align: left;
}
#top_calendar .list li {
	/* フレックス */
	display: flex;
	align-items: center;
	column-gap: 20px;
}
#top_calendar .list li::before {
	display: inline-block;
	width: 80px;
	height: 47px;
	background: var(--color-secondary);
	border: 2px solid #fff;
	content: "";
}
#top_calendar .list li.holiday::before {
	background: var(--color-primary);
}
#top_calendar .box {
	background: #fff;
	border-radius: 20px;
}
#top_calendar table {
	width: 100%;
}
#top_calendar table caption {
	margin-bottom: 10px;
	font-family: var(--font-serif);
	text-align: left;
	letter-spacing: 0;
}
#top_calendar table th,
#top_calendar table td {
	text-align: center;
	line-height: 1.4;
	padding: 14px;
	border: 1px solid var(--color-tbl-border);
}
#top_calendar table th {
	background: #ccc;
	color: #fff;
}
#top_calendar table th:first-child {
	background: #d6a3a3;
}
#top_calendar table th:last-child{
	background: #a3bac7;
}
#top_calendar table td:first-child {
	background: #f2f2f2;
}
#top_calendar table td.lesson {
	background: var(--color-secondary);
	color: #fff;
}
#top_calendar table td.holiday {
	background: var(--color-primary);
	color: #fff;
}
/* お知らせ */
#top_info .in {
	overflow: auto;
	width: 100%;
	height: 400px;
	max-width: 940px;
	margin: auto;
	padding-right: 15px;
}
#top_info dl {
	margin-bottom: 25px;
	padding: 30px;
	background: #f7f7f7;
	border-radius: 20px;
}
#top_info dt {
	color: var(--color-primary);
}
/* ボタン */
#top_btn li a {
	height: 60px;
	padding: 0 20px;
	background: #fff url("../img/p.png") no-repeat right 15px center;
	border: 2px solid #f7d2cd;
	border-radius: 10px;
	color: var(--color-font);
	line-height: 1.2;
	/* 縦方向中央揃え */
	display: flex;
	align-items: center;
}
@media print, screen and (min-width: 769px){ /* PCのみ */
}
@media print, screen and (min-width: 641px){ /* PC・タブレット */
	/* 挨拶 */
	#top_msg .txt {
		width: 78%;
	}
	#top_msg .txt p {
		line-height: 2.4em;
	}
	#top_msg .photo {
		width: 22%;
	}
	#top_msg .photo img {
		max-width: none;
	}
	/* リンク */
	#top_link {
		justify-content: center;
		column-gap: 40px;
	}
	/* コンテンツ */
	#top_contents .box {
		width: 48.5%;
	}
	/* カレンダー */
	#top_calendar {
		font-size: 110%;
	}
	#top_calendar .list li+li {
		margin-top: 25px;
	}
	#top_calendar .box {
		width: 61%;
	}
	/* お知らせ */
	#top_info dl {
		display: flex;
	}
	#top_info dt {
		width: 10em;
	}
	#top_info dd {
		width: calc(100% - 10em);
	}
	/* ボタン */
	#top_btn {
		justify-content: center;
		column-gap: 3.5%;
	}
	#top_btn li {
		width: 31%;
	}
}
@media only screen and (max-width: 768px) and (min-width: 641px){ /* タブレットのみ */
	/* リンク */
	#top_link {
		column-gap: 30px;
		row-gap: 20px;
	}
	/* ボタン */
	#top_btn {
		column-gap: 30px;
		row-gap: 20px;
	}
	#top_btn li {
		width: 320px;
	}
}
@media only screen and (max-width: 768px) {  /* タブレット以下 */
	#top_ttl img {
		position: relative;
		left: -20%;
		width: 140%;
		max-width: none;
	}
	/**/
	.btn_link {
		width: 260px;
		height: 60px;
	}
	/* 挨拶 */
	#top_msg h3.sub {
		font-size: 40px;
	}
	#top_msg h3.sub span {
		font-size: 80px;
		transform: translate(-10%,-100%) rotate(-10deg);
	}
	/* カレンダー */
	#top_calendar .list li::before {
		width: 50px;
		height: 30px;
	}
}
@media only screen and (max-width: 640px){ /* スマホ */
	#page_title:has(#top_ttl) {
		margin-bottom: -2%;
	}
	#top_ttl {
		background-position: right 40% center;
	}
	#top_ttl img {
		left: -30%;
		width: 160%;
	}
	/* 挨拶 */
	#top_msg {
		position: relative;
		padding-bottom: 10px;
		z-index: 10;
	}
	#top_msg h3.sub {
		font-size: 26px;
		line-height: 1.3;
	}
	#top_msg h3.sub span {
		font-size: 70px;
	}
	#top_msg .photo {
		padding-left: 50%;
	}
	/* リンク */
	#top_link li+li {
		margin-top: 15px;
	}
	#top_link li a {
		margin: 0 auto;
	}
	/* コンテンツ */
	#top_contents::before {
		height: 80%;
	}
	#top_contents::after {
		height: calc(20% + 1px);
	}
	#top_contents figcaption {
		font-size: 40px;
	}
	#top_contents h3.sub {
		margin-bottom: 20px;
	}
	#top_contents .box {
		padding-bottom: 20px;
	}
	#top_contents .box+.box {
		margin-top: 60px;
	}
	/* カレンダー */
	#top_calendar .list {
		margin-bottom: 20px;
		/* フレックス */
		display: flex;
		flex-wrap: wrap;
		column-gap: 30px;
	}
	#top_calendar .list li {
		column-gap: 10px;
		letter-spacing: 0;
	}
	#top_calendar .list li::before {
		width: 30px;
		height: 20px;
	}
	#top_calendar table th,
	#top_calendar table td {
		padding: 6px;
	}
	/* ボタン */
	#top_info dl {
		margin-bottom: 15px;
		padding: 20px;
	}
	/* ボタン */
	#top_btn li+li {
		margin-top: 15px;
	}
}